From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/tex-overlay:main commit in: eclass/
Date: Tue, 16 Jan 2024 11:37:28 +0000 (UTC) [thread overview]
Message-ID: <1705405045.bb9ec7d4bafd5daad4d6e4897fc09dab7ee5a197.flow@gentoo> (raw)
commit: bb9ec7d4bafd5daad4d6e4897fc09dab7ee5a197
Author: Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 16 11:37:25 2024 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Jan 16 11:37:25 2024 +0000
URL: https://gitweb.gentoo.org/proj/tex-overlay.git/commit/?id=bb9ec7d4
eclass: reduce diff, minor changes
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
eclass/texlive-common.eclass | 4 ++--
eclass/texlive-module.eclass | 38 +++++++++++++++++++-------------------
2 files changed, 21 insertions(+), 21 deletions(-)
diff --git a/eclass/texlive-common.eclass b/eclass/texlive-common.eclass
index d6c381a..5de5830 100644
--- a/eclass/texlive-common.eclass
+++ b/eclass/texlive-common.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: texlive-common.eclass
@@ -36,7 +36,7 @@ _TEXLIVE_COMMON_ECLASS=1
texlive-common_handle_config_files() {
local texmf_path
# Starting with TeX Live 2023, we install in texmf-dist, where a
- # distribution provided TeX Live installation is supposed to be,
+ # distribution-provided TeX Live installation is supposed to be,
# instead of texmf.
if ver_test -ge 2023; then
texmf_path=/usr/share/texmf-dist
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 2a1d7bb..afcd453 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: texlive-module.eclass
@@ -118,7 +118,7 @@ fi
if [[ -n ${TEXLIVE_MODULE_OPTIONAL_ENGINE} ]] ; then
for engine in ${TEXLIVE_MODULE_OPTIONAL_ENGINE} ; do
- IUSE="${IUSE} +${engine}" # TODO
+ IUSE="${IUSE} +${engine}"
done
fi
@@ -161,19 +161,19 @@ texlive-module_src_unpack() {
texlive-module_add_format() {
local name engine mode patterns options
eval $@
- einfo "Appending to format.${PN}.cnf for $*"
+ einfo "Appending to format.${PN}.cnf for $@"
if [[ ! -d texmf-dist/fmtutil ]]; then
mkdir -p texmf-dist/fmtutil || die
fi
- [[ -f texmf-dist/fmtutil/format.${PN}.cnf ]] || { echo "# Generated for ${PN} by texlive-module.eclass" > "texmf-dist/fmtutil/format.${PN}.cnf"; }
- [[ -n ${TEXLIVE_MODULE_OPTIONAL_ENGINE} ]] && has "${engine}" "${TEXLIVE_MODULE_OPTIONAL_ENGINE}" && use "!${engine}" && mode="disabled"
+ [[ -f texmf-dist/fmtutil/format.${PN}.cnf ]] || { echo "# Generated for ${PN} by texlive-module.eclass" > texmf-dist/fmtutil/format.${PN}.cnf; }
+ [[ -n ${TEXLIVE_MODULE_OPTIONAL_ENGINE} ]] && has ${engine} ${TEXLIVE_MODULE_OPTIONAL_ENGINE} && use !${engine} && mode="disabled"
if [[ ${mode} = disabled ]]; then
- printf "#! " >> "texmf-dist/fmtutil/format.${PN}.cnf" || die
+ printf "#! " >> texmf-dist/fmtutil/format.${PN}.cnf || die
fi
[[ -z ${patterns} ]] && patterns="-"
- printf "%s\t%s\t%s\t%s\n" "${name}" "${engine}" "${patterns}" "${options}" >> "texmf-dist/fmtutil/format.${PN}.cnf" || die
+ printf "${name}\t${engine}\t${patterns}\t${options}\n" >> texmf-dist/fmtutil/format.${PN}.cnf || die
}
# @FUNCTION: texlive-module_make_language_def_lines
@@ -184,14 +184,14 @@ texlive-module_add_format() {
texlive-module_make_language_def_lines() {
local lefthyphenmin righthyphenmin synonyms name file file_patterns file_exceptions luaspecial
eval $@
- einfo "Generating language.def entry for $*"
+ einfo "Generating language.def entry for $@"
[[ -z ${lefthyphenmin} ]] && lefthyphenmin="2"
[[ -z ${righthyphenmin} ]] && righthyphenmin="3"
- printf "\\addlanguage{%s}{%s}{}{%s}{%s}" "${name}" "${file}" "${lefthyphenmin}" "${righthyphenmin}" >> "${S}/language.${PN}.def" || die
+ echo "\\addlanguage{$name}{$file}{}{$lefthyphenmin}{$righthyphenmin}" >> "${S}/language.${PN}.def" || die
if [[ -n ${synonyms} ]]; then
- for i in $(echo "${synonyms}" | tr ',' ' ') ; do
- einfo "Generating language.def synonym ${i} for $*"
- printf "\\addlanguage{%s}{%s}{}{%s}{%s}" "${i}" "${file}" "${lefthyphenmin}" "${righthyphenmin}" >> "${S}/language.${PN}.def" || die
+ for i in $(echo $synonyms | tr ',' ' ') ; do
+ einfo "Generating language.def synonym $i for $@"
+ echo "\\addlanguage{$i}{$file}{}{$lefthyphenmin}{$righthyphenmin}" >> "${S}/language.${PN}.def" || die
done
fi
}
@@ -204,11 +204,11 @@ texlive-module_make_language_def_lines() {
texlive-module_make_language_dat_lines() {
local lefthyphenmin righthyphenmin synonyms name file file_patterns file_exceptions luaspecial
eval $@
- einfo "Generating language.dat entry for $*"
- echo "${name} ${file}" >> "${S}/language.${PN}.dat" || die
+ einfo "Generating language.dat entry for $@"
+ echo "$name $file" >> "${S}/language.${PN}.dat" || die
if [[ -n ${synonyms} ]]; then
- for i in $(echo "${synonyms}" | tr ',' ' ') ; do
- einfo "Generating language.dat synonym ${i} for $*"
+ for i in $(echo ${synonyms} | tr ',' ' ') ; do
+ einfo "Generating language.dat synonym ${i} for $@"
echo "=${i}" >> "${S}/language.${PN}.dat" || die
done
fi
@@ -221,8 +221,8 @@ texlive-module_make_language_dat_lines() {
texlive-module_synonyms_to_language_lua_line() {
local prev=""
- for i in $(echo "$@" | tr ',' ' ') ; do
- printf "${prev} '%s'" "${i}"
+ for i in $(echo $@ | tr ',' ' ') ; do
+ printf "${prev} '%s'" ${i}
prev=","
done
}
@@ -240,7 +240,7 @@ texlive-module_make_language_lua_lines() {
eval $@
[[ -z ${lefthyphenmin} ]] && lefthyphenmin="2"
[[ -z ${righthyphenmin} ]] && righthyphenmin="3"
- einfo "Generating language.dat.lua entry for $*"
+ einfo "Generating language.dat.lua entry for $@"
printf "\t['%s'] = {\n" "${name}" >> "${dest}" || die
printf "\t\tloader = '%s',\n" "${file}" >> "${dest}" || die
printf "\t\tlefthyphenmin = %s,\n\t\trighthyphenmin = %s,\n" "${lefthyphenmin}" "${righthyphenmin}" >> "${dest}" || die
next reply other threads:[~2024-01-16 11:37 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-16 11:37 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-13 10:03 [gentoo-commits] proj/tex-overlay:main commit in: eclass/ Florian Schmaus
2024-12-13 10:03 Florian Schmaus
2024-12-11 8:49 Florian Schmaus
2024-11-22 17:13 Florian Schmaus
2024-11-22 17:13 Florian Schmaus
2024-07-26 7:47 Florian Schmaus
2024-05-14 8:21 Florian Schmaus
2024-05-13 8:36 Florian Schmaus
2024-05-02 17:45 Florian Schmaus
2024-04-30 17:45 Florian Schmaus
2024-04-30 15:10 Florian Schmaus
2024-04-30 10:05 Florian Schmaus
2024-04-30 8:53 Florian Schmaus
2024-04-30 8:16 Florian Schmaus
2024-04-04 13:05 Florian Schmaus
2024-04-04 13:02 Florian Schmaus
2024-04-04 13:02 Florian Schmaus
2024-04-04 8:39 Florian Schmaus
2024-04-04 8:39 Florian Schmaus
2024-04-03 16:20 Florian Schmaus
2024-04-02 13:58 Florian Schmaus
2024-04-02 13:58 Florian Schmaus
2024-04-02 9:43 Florian Schmaus
2024-02-29 21:12 Florian Schmaus
2024-02-29 17:46 Florian Schmaus
2024-02-12 15:02 Florian Schmaus
2024-02-11 11:28 Florian Schmaus
2024-01-31 15:11 Florian Schmaus
2024-01-18 14:21 Florian Schmaus
2024-01-16 11:42 Florian Schmaus
2023-12-29 10:31 Florian Schmaus
2023-11-17 9:44 Florian Schmaus
2023-11-17 9:44 Florian Schmaus
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1705405045.bb9ec7d4bafd5daad4d6e4897fc09dab7ee5a197.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox